Автор Тема: Не могу установить программу DraftSight  (Прочитано 5808 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Debra

  • Новичок форума
  • Сообщений: 6
Всем привет! Дебиан 6. Необходимо поставить прогу DraftSight. (для просмотра автокадовских файлов).
Выполняю установку:
sudo dpkg -i draftSight.deb          (при чем тут ВиртуалБокс???)
предупреждение, файл «/var/lib/dpkg/available» около строки 44888 пакета «virtualbox-3.1»:
 ошибка в строке Version «3.1.2-56127_Debian_lenny»: недопустимый символ в номере редакции
(Чтение базы данных ... на данный момент установлено 226516 файлов и каталогов.)
Распаковывается пакет dassault-systemes-draftsight (из файла draftSight.deb)...
access control disabled, clients can connect from any host
access control disabled, clients can connect from any host
access control enabled, only authorized clients can connect
access control enabled, only authorized clients can connect
dpkg: не удалось обработать параметр draftSight.deb (--install):
 не удалось записать при копировании в буфер для обработка файла «./opt/dassault-systemes/draftsight/lib/libTD_Db.so.1» процессом dpkg-deb: На устройстве кончилось место
dpkg-deb: подпроцесс вставка завершён по сигналу (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
 draftSight.deb

Раз пишет нету места в каталоге opt ,делаю команду
df

Файловая система     1K-блоков      Исп  Доступно     Исп%  смонтирована на
/dev/sda1                        964500    822960     92544   90%   /
tmpfs                               512892         0    512892        0%    /lib/init/rw
udev                                 508472       220    508252      1%    /dev
tmpfs                                512892       800    512092      1%    /dev/shm
/dev/sda9                122066164  39790992  76074488  35%  /home
/dev/sda8                      4806904    140812   4421908   4%    /tmp
/dev/sda6                   19228276   5440660  12810868  30%  /usr
/dev/sda7              4806904    759544   3803176  17% /var
/dev/sdb1             76920416    185844  72827164   1% /mnt/arch

Соответственно, я так понимаю, раз места нет,надо ставить в другой каталог. В usr.

Вопрос: А как это можно сделать с помощью программы dpkg? Какой-то префикс надо указать? или как?  Облазила весь инет,не нашла((( 
ПРобовала sudo dpkg -i /usr draftSight.deb, та же самая ошибка. ((

Еще пробовала через АПТ установить:
sudo apt-get  install draftSight

Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
E: Не удалось найти пакет draftSight

 

Оффлайн Brainey

Re: Не могу установить программу DraftSight
« Ответ #1 : 17 Апреля 2012, 15:58:27 »
Цитировать
при чем тут ВиртуалБокс???
Цитировать
Version «3.1.2-56127_Debian_lenny
А причем тут debian lenny? Приведите для начала свой sources.list в порядок.
Цитировать
dpkg-deb: На устройстве кончилось место
На корневом разделе закончилось место. Нужно почистить систему с помощью bleachbit, например.
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Debra

  • Новичок форума
  • Сообщений: 6
Re: Не могу установить программу DraftSight
« Ответ #2 : 17 Апреля 2012, 16:50:50 »
Brainey, Систему почистила. Но удалилось немногим больше 200Мб.. Погоды это не сыграло.
Вы не знаете как у становить программу в другой каталог?
На счет sources.list
В /etc/apt/  у меня 2 файла: sources.list и sources.list.save
В sources.list я думаю все в порядке(везде Squeeze) :
Spoiler: ShowHide
# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-1 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-1 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-2 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-3 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-4 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-5 20090214-16:54]/ lenny contrib main

# deb http://security.debian.org/ lenny/updates contrib non-free main
#Addedby software-properties
# deb-src http://security.debian.org/ lenny/updates contrib non-free main
# deb http://www.debian-multimedia.org/ lenny main
# deb http://volatile.debian.org/debian-volatile/ lenny/volatile main contrib
# deb http://http.us.debian.org/debian/ lenny main contrib non-free
#Addedby software-properties
# deb-src http://http.us.debian.org/debian/ lenny main contrib non-free
# deb http://http.us.debian.org/debian/ lenny-proposed-updates contrib non-free main
# deb-src http://http.us.debian.org/debian/ lenny-proposed-updates contrib non-free main
# deb-src http://volatile.debian.org/debian-volatile/ lenny/volatile main contrib
# deb http://www.backports.org/debian/ lenny-backports main contrib non-free

deb http://ftp.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.debian.org/debian/ squeeze main
deb http://security.debian.org/ squeeze/updates main contrib
deb-src http://security.debian.org/ squeeze/updates main contrib
deb http://download.virtualbox.org/virtualbox/debian/ squeeze contrib non-free 


sources.list.save:  (Тут Ленни...Заменить репозитории на из  файла выше? либо вообще этот файл не нужен?)

Spoiler: ShowHide
#
# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-1 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-1 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-2 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-3 20090214-16:54]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-4 20090214-16:54]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-5 20090214-16:54]/ lenny contrib main

deb http://security.debian.org/ lenny/updates contrib non-free main
deb-src http://security.debian.org/ lenny/updates contrib non-free main #Added by software-properties
deb http://www.debian-multimedia.org lenny main
deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib
deb http://http.us.debian.org/debian/ lenny main contrib non-free
deb-src http://http.us.debian.org/debian/ lenny main contrib non-free #Added by software-properties
deb http://http.us.debian.org/debian/ lenny-proposed-updates contrib non-free main
deb-src http://http.us.debian.org/debian/ lenny-proposed-updates contrib non-free main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main contrib


Пользуйтесь спойлером, уважайте других участников форума. Malaheenee
« Последнее редактирование: 18 Апреля 2012, 06:40:28 от Malaheenee »
 

Оффлайн ihammers

Re: Не могу установить программу DraftSight
« Ответ #3 : 17 Апреля 2012, 17:01:04 »
Пожалуйста используйте спойлей "Sp".
Файл sources.list.save это backup.  Оставьте в sources.list только squeeze, например так:
deb http://ftp.ru.debian.org/debian squeeze main contrib non-free
deb-src http://ftp.debian.org/debian/ squeeze main contrib non-free
deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

Потом обновите список пакетов, нужно избавиться сначала от ошибки с virtualbox, а потом можно перейти и к вашей программе.  Дайте адрес откуда скачиваете.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
 

Оффлайн Debra

  • Новичок форума
  • Сообщений: 6
Re: Не могу установить программу DraftSight
« Ответ #4 : 18 Апреля 2012, 09:00:32 »
Пожалуйста используйте спойлей "Sp".

Хорошо.
 
Оставьте в sources.list только squeeze, например так:
Открываю этот файл в mc оставляю только указанные вами репозитории, но файл не сохраняется. Пишет: "Невозможно сохранить файл." Может его от имени рута надо запускать..Я не знаю как это сделать. И как потом обновить список пакетов,если можно поподробнее.
Ссылку на скачивание дать не могу, т.к. пакет я не скачивала, мне его дал сотрудник. Он у себя поставил эту прогу(у него тоже Дебиан 6). У него работает. Если тут как-то возможно прикрепить файл,то могу то сделать.

 

Оффлайн vladimir_ar

Re: Не могу установить программу DraftSight
« Ответ #5 : 18 Апреля 2012, 10:05:35 »
В консоли так
# mc /etc/apt/sources.list
Сообщение объединено: 18 Апреля 2012, 10:09:40
А пакет отсюда - http://www.3ds.com/ru/products/draftsight/download-draftsight/ Но написано, что под Ubuntu.

Сообщение объединено: 18 Апреля 2012, 10:13:30
Установить у себя проверить не могу - пакет под i386, а у меня amd64. Принудительно форсировать при установке архитектуру не хочу.

Сообщение объединено: 18 Апреля 2012, 10:23:56
А как установить на 64 - есть тут

Сообщение объединено: 18 Апреля 2012, 10:31:11
В общем,по указанной в последней ссылке инструкции ставится и работает.
« Последнее редактирование: 18 Апреля 2012, 10:31:11 от vladimir_ar »
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн Debra

  • Новичок форума
  • Сообщений: 6
Re: Не могу установить программу DraftSight
« Ответ #6 : 18 Апреля 2012, 10:49:21 »
vladimir_ar ,  в терминале написала sudo mc /etc/apt/sources.list , отредактировала файлик, сохранился)))))
Мне нужно программу поставить не в каталог opt(места нету) , а в другой(Usr). А по вашим ссылкам,я так понимаю программа ставится стандартно в opt?
 

Оффлайн vladimir_ar

Re: Не могу установить программу DraftSight
« Ответ #7 : 18 Апреля 2012, 11:18:35 »
У dpkg есть ключи --root=<dir> --admindir=<dir> --instdir=<dir>, но я их не очень понял. Если кто знает - подскажут.
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн Debra

  • Новичок форума
  • Сообщений: 6
Re: Не могу установить программу DraftSight
« Ответ #8 : 18 Апреля 2012, 11:53:21 »
Потом обновите список пакетов, нужно избавиться сначала от ошибки с virtualbox,

Пакеты обновила: sudo aptitude update
                              sudo aptitude install dpkg aptitude apt
                              sudo aptitude full-upgrade

Ошибка с виртулбоксом не ушла, наверно нужно править в самом файле «/var/lib/dpkg/available»  недопустимый символ в номере версии...а какой может быть не допустимый?  «3.1.2-56127_Debian_lenny», Ппробовала поменять Ленни на Сквизи, ничего не изменилось.
vladimir_ar, насчет ключей этих я знаю,  просто не смогла найти в инете как ими воспользоваться, поищу еще..
 

Оффлайн Brainey

Re: Не могу установить программу DraftSight
« Ответ #9 : 18 Апреля 2012, 13:09:40 »
Цитировать
Ошибка с виртулбоксом не ушла
Удалять/переустанавливать сам пакет пробовали? Если нет, то посмотрите имя пакета по aptitude search ~ivirtualbox и попробуйте.
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Debra

  • Новичок форума
  • Сообщений: 6
Re: Не могу установить программу DraftSight
« Ответ #10 : 18 Апреля 2012, 15:13:30 »
Пакет удалила,установила заново(virtualbox-ose).
По этой команде   aptitude search ~ivirtualbox  пишет:
i   virtualbox-ose                                                - решение для x86 виртуализации (основные двоичные файлы)                     
i A virtualbox-ose-dkms                                     - решение x86-виртуализации - исходный код модуля для DKMS                   
i A virtualbox-ose-qt                                         - x86 virtualization solution - Qt based user interface 
Пишет то же: файл «/var/lib/dpkg/available» около строки 46126 пакета «virtualbox-3.1»:
 ошибка в строке Version «3.2.12-68302_Debian_squeeze»: недопустимый символ в номере редакции

 

Оффлайн Brainey

Re: Не могу установить программу DraftSight
« Ответ #11 : 18 Апреля 2012, 21:36:15 »
Тогда так:
# dpkg --clear-avail
# aptitude update
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Теги:
     

    Jessie, не могу обновить 2 пакета

    Автор Selkup

    Ответов: 6
    Просмотров: 1777
    Последний ответ 20 Октября 2014, 07:48:40
    от Selkup
    не могу разобраться откуда ошибки

    Автор baksheev.nik@yandex.ru

    Ответов: 1
    Просмотров: 566
    Последний ответ 15 Октября 2019, 04:46:49
    от endru
    Не могу загрузиться.

    Автор nomad

    Ответов: 7
    Просмотров: 1462
    Последний ответ 14 Марта 2015, 19:46:31
    от vovan--vovan
    [Решено] Не могу почитать man\'ы

    Автор camac

    Ответов: 0
    Просмотров: 1000
    Последний ответ 12 Апреля 2016, 15:51:39
    от camac
    Не могу залогиниться в Skype [РЕШЕНО]

    Автор AVD

    Ответов: 5
    Просмотров: 246
    Последний ответ 08 Июня 2021, 07:06:04
    от dzhoser